#if defined(__linux__)
#if defined(__hppa__)

	.section .text

	.globl	_start
	.type	_start, @function
_start:
	copy	%sp, %r24
	ldi	-16, %r26
	and	%sp, %r26, %sp

	ldw	0(%r24), %r26	/* argc */
	ldo	4(%r24), %r25	/* argv */
	ldo	1(%r26), %r24
	depw,z	%r24, 29, 30, %r24
	add	%r24, %r25, %r24	/* envp */

	/*
	 * The stack is expanded in the upper direction?
	 * Make stack to save argv/envp.
	 */
	ldo	0x1000(%sp), %sp

	b,l	nlcrt_start, %rp
	nop

1:	b	1b
	nop
#endif
#endif
